with Ada.Text_IO, Strings, Ints, Flts, Globals, Reps.Balls, Params;
use Ada.Text_IO, Strings, Ints, Flts, Globals, Reps.Balls, Params;
with Params.Names,TSpherics,TSpherics.Fix;

pragma Elaborate_All (Ada.Text_IO,Strings,Ints,Flts,Globals,Reps.Balls);
pragma Elaborate_All (TSpherics,TSpherics.Fix);

procedure Check_FixPt(P: in Param) is

   package PN is new Params.Names(P => P, Trunc => False);
   use PN;

   subtype Scalar is Ball;

   package TSphs is new TSpherics(Pram => P, Scalar => Scalar, Trunc => False);
   package Fix is new TSphs.Fix;

   use TSphs,Fix;

   F: Spheric;
   M: QC_Matrix;

begin

   Read(Input_Dir & Fix_Name & ".approx",F);
   SM.Read(Input_Dir & Mat_Name,M);
   ContrFix(M,Contr_PackCSize,Contr_PackSSize,F);
   Show1("Norm: ",Norm(F));
   Leading_Coeffs(F,Half**8);
   Write(Output_Dir & Fix_Name,F);
   
end Check_FixPt;
